// 本脚本只在不存在时会生成一次。组件逻辑写在当前脚本内。已存在不会再次生成覆盖 


using FairyGUI;
using NBF.Setting;

namespace NBF
{
    public partial class KeyboardInput : GButton
    {
        private void OnInited()
        {
        }

        public void SetData(InputOption option)
        {
            TextKeyboard.visible = false;
            if (option is KeyBoardOption)
            {
                TextKeyboard.visible = true;
                TextKeyboard.text = option.GetDisplayString(); // + "- " + string.Join(",", list);
            }
        }
    }
}